import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional()
}).strict();
export const CommunicationWhereUniqueInputObjectSchema: z.ZodType<Prisma.CommunicationWhereUniqueInput> = makeSchema() as unknown as z.ZodType<Prisma.CommunicationWhereUniqueInput>;
export const CommunicationWhereUniqueInputObjectZodSchema = makeSchema();
